Google Web Toolkit
Search Google Code:

# Class Double

public final class Double
extends Number
implements Comparable
Wraps a primitive `double` as an object.

## Fields

MAX_VALUE |
MIN_VALUE |
NaN |
NEGATIVE_INFINITY |
POSITIVE_INFINITY |

## Constructors

Double(double) |
Double(String) |

## Methods

byteValue() |
compare(double, double) |
compareTo(Double) |
compareTo(Object) |
doubleValue() |
equals(Object) |
floatValue() |
hashCode() | Performance caution: using Double objects as map keys is not recommended.
intValue() |
isInfinite(double) |
isInfinite() |
isNaN(double) |
isNaN() |
longValue() |
parseDouble(String) |
shortValue() |
toString(double) |
toString() |
valueOf(String) |